Supplier

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class Supplier

    java.lang.Object
      com.fenalco.entities.Supplier

    public class Supplier

extends java.lang.Object

Esta clase representa la tabla proveedor de la base de datos y encapsula cada una de las operaciones que sobre esta se puedan realizar : inserción, actualización, eliminación, consulta

Author:
  Mario Linares Vásquez

Field Summary
`private int` | `billingType` Tipo de facturación que se aplica al proveedor
`private int` | `catalogueStatus` Valor entero que indica si el proveedor puede ser comparado en el catalogo. 0:No comparar 1:Comparar
`private java.lang.String` | `gln` ??????????
`private double` | `minimunOrder` costo minimo de la orden que puede solicitar un minorista sobre el proveedor
`private int` | `nurit` bandera que indica si el proveedor va a ser visible ne el nurit
`private int` | `supplierId` id el proveedor
`private java.lang.String` | `supplierName` nombre del proveedor

Constructor Summary
`Supplier()` Constructor por defecto de la clase
`Supplier(int supplierId)` Constructor que recibe el id del proveedor en la base de datos.

Method Summary
`boolean` | `addClient(int shopKeeperId, Transaction t)` Este método permite a un proveedor asignar a un minorista como cliente
`boolean` | `delete(Transaction transaction)` Realiza una consulta SQL de tipo delete con el fin de eliminar el proveedor de la base de datos cuando se creo la instancia con el constructor que recibe el id como parámetro.
`int` | `getbillingType()` Consultor para el atributo billingType.
`int` | `getCatalogueStatus()` Getter for property catalogueStatus.
`java.lang.String` | `getGln()` Consultor para el atributo gln.
`double` | `getMinimunOrder()` Consultor para el atributo minimunOrder.
`static java.lang.String` | `getName(int id)`
`int` | `getNurit()` Consultor para el atributo nurit.
`int` | `getSupplierId()` Consultor para el atributo supplierId.
`java.lang.String` | `getSupplierName()` Consultor para el atributo supplierName.
`static int` | `getUserCount(int companyId)`
`boolean` | `loadData(int supplierId)` Este método carga de la tabla proveedor de la base de datos todos los valores de los campos en los atributos de la clase, a través del método `query` de la clase `SQLUtilities`
`boolean` | `makeBill(Transaction transaction, java.sql.Date date)` Genera el cobro al proveedor de acuerdo con el tipo de facturación que le sea asignada.
`boolean` | `removeClient(int shopKeeperId, Transaction t)` Este método permite eliminar a un minorista de la lista de clientes del proveedor
`boolean` | `saveData(Transaction transaction)` Este método guarda los atributos del proveedor en la base de datos.
`void` | `setbillingType(int billingType)` Modificador para el atributo billingType.
`void` | `setCatalogueStatus(int catalogueStatus)` Setter for property catalogueStatus.
`static void` | `setExclusive(int supplierId, int shopKeeperId, int exclusive, Transaction transaction)`
`void` | `setGln(java.lang.String gln)` Modificador para el atributo gln.
`void` | `setMinimunOrder(double minimunOrder)` Modificador para el atributo minimunOrder.
`void` | `setNurit(int nurit)` Modificador para el atributo nurit.
`void` | `setSupplierId(int supplierId)` Modificador para el atributo supplierId.
`void` | `setSupplierName(java.lang.String supplierName)` Modificador para el atributo supplierName.
`boolean` | `update(Transaction transaction)` Realiza una consulta SQL de tipo update con el fin de actualizar los campos del proveedor modificados a través de los métodos setter.Para actualizar los datos en la tabla proveedor debe construir una consulta SQL de tipo update a través del método `query` de la clase `SQLUtilities`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### supplierId

    private int supplierId

  id el proveedor

### supplierName

    private java.lang.String supplierName

  nombre del proveedor

### minimunOrder

    private double minimunOrder

  costo minimo de la orden que puede solicitar un minorista sobre el proveedor

### nurit

    private int nurit

  bandera que indica si el proveedor va a ser visible ne el nurit

### gln

    private java.lang.String gln

  ??????????

### billingType

    private int billingType

  Tipo de facturación que se aplica al proveedor

### catalogueStatus

    private int catalogueStatus

  Valor entero que indica si el proveedor puede ser comparado en el catalogo. 0:No comparar 1:Comparar

Constructor Detail

### Supplier

    public Supplier()

  Constructor por defecto de la clase

### Supplier

    public Supplier(int supplierId)

  Constructor que recibe el id del proveedor en la base de datos. Se debe usar en el caso de actualizaciones, borrado y consulta. Este constructor llama a la función miembro `loadData` con el parámetro supplierId con el fin de cargar los datos propios de ese proveedor que residen en la base de datos. Al usar este constructor si se desea modificar el valor de algún campo se deben utilizar los métodos consultores (setter).

  Parameters:
    `supplierId` - int que representa el id del proveedor en la base de datos

Method Detail

### loadData

    public boolean loadData(int supplierId)

  Este método carga de la tabla proveedor de la base de datos todos los valores de los campos en los atributos de la clase, a través del método `query` de la clase `SQLUtilities`

  Parameters:
    `supplierId` - identificador del proveedor
  Returns:
    boolean que representa el exito del proceso de carga de los datos

### saveData

    public boolean saveData(Transaction transaction)

  Este método guarda los atributos del proveedor en la base de datos. Se debe usar solo cuando se ha creado una instancia con el constructor por omisión. Para almacenar los datos en la tabla proveedor debe construir una consulta SQL de tipo insert a través del método `query` de la clase `SQLUtilities`

  Returns:
    boolean que representa el exito del proceso de inserción

### update

    public boolean update(Transaction transaction)

  Realiza una consulta SQL de tipo update con el fin de actualizar los campos del proveedor modificados a través de los métodos setter.Para actualizar los datos en la tabla proveedor debe construir una consulta SQL de tipo update a través del método `query` de la clase `SQLUtilities`

  Returns:
    boolean que representa el exito del proceso de actualización

### delete

    public boolean delete(Transaction transaction)

  Realiza una consulta SQL de tipo delete con el fin de eliminar el proveedor de la base de datos cuando se creo la instancia con el constructor que recibe el id como parámetro.

  Returns:
    boolean que representa el exito del proceso de boorado

### addClient

    public boolean addClient(int shopKeeperId,
                             Transaction t)

  Este método permite a un proveedor asignar a un minorista como cliente

  Parameters:
    `supplierId` - Identificador del proveedor
    `shopKeeperId` - Identificador del minorista
  Returns:
    Valor booleano que indica si la operación tuvo éxito o no.

### removeClient

    public boolean removeClient(int shopKeeperId,
                                Transaction t)

  Este método permite eliminar a un minorista de la lista de clientes del proveedor

  Parameters:
    `supplierId` - Identificador del proveedor
    `shopKeeperId` - Identificador del minorista
  Returns:
    Valor booleano que indica si la operación tuvo éxito o no.

### getSupplierId

    public int getSupplierId()

  Consultor para el atributo supplierId.

  Returns:
    Valor del atributo supplierId.

### setSupplierId

    public void setSupplierId(int supplierId)

  Modificador para el atributo supplierId.

  Parameters:
    `supplierId` - Nuevo valor para el atributo supplierId.

### getSupplierName

    public java.lang.String getSupplierName()

  Consultor para el atributo supplierName.

  Returns:
    Valor del atributo supplierName.

### setSupplierName

    public void setSupplierName(java.lang.String supplierName)

  Modificador para el atributo supplierName.

  Parameters:
    `supplierName` - Nuevo valor para el atributo supplierName.

### getMinimunOrder

    public double getMinimunOrder()

  Consultor para el atributo minimunOrder.

  Returns:
    Valor del atributo minimunOrder.

### setMinimunOrder

    public void setMinimunOrder(double minimunOrder)

  Modificador para el atributo minimunOrder.

  Parameters:
    `minimunOrder` - Nuevo valor para el atributo minimunOrder.

### getNurit

    public int getNurit()

  Consultor para el atributo nurit.

  Returns:
    Valor del atributo nurit.

### setNurit

    public void setNurit(int nurit)

  Modificador para el atributo nurit.

  Parameters:
    `nurit` - Nuevo valor para el atributo nurit.

### getGln

    public java.lang.String getGln()

  Consultor para el atributo gln.

  Returns:
    Valor del atributo gln.

### setGln

    public void setGln(java.lang.String gln)

  Modificador para el atributo gln.

  Parameters:
    `gln` - Nuevo valor para el atributo gln.

### getbillingType

    public int getbillingType()

  Consultor para el atributo billingType.

  Returns:
    Valor del atributo billingType.

### setbillingType

    public void setbillingType(int billingType)

  Modificador para el atributo billingType.

  Parameters:
    `billingType` - Nuevo valor para el atributo billingType.

### makeBill

    public boolean makeBill(Transaction transaction,
                            java.sql.Date date)

  Genera el cobro al proveedor de acuerdo con el tipo de facturación que le sea asignada.

  Returns:
    booleano que indica si la facturación al proveedor fué exitosa

### setExclusive

    public static void setExclusive(int supplierId,
                                    int shopKeeperId,
                                    int exclusive,
                                    Transaction transaction)

### getName

    public static java.lang.String getName(int id)

### getCatalogueStatus

    public int getCatalogueStatus()

  Getter for property catalogueStatus.

  Returns:
    Value of property catalogueStatus.

### setCatalogueStatus

    public void setCatalogueStatus(int catalogueStatus)

  Setter for property catalogueStatus.

  Parameters:
    `catalogueStatus` - New value of property catalogueStatus.

### getUserCount

    public static int getUserCount(int companyId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD